DELETE /api/agent_builder/skills/{skillId}

Spaces method and path for this operation:

delete /s/{space_id}/api/agent_builder/skills/{skillId}

Refer to Spaces for more information.

Delete a user-created skill by ID. If agents still reference the skill, the request returns 409 unless force=true, which removes the skill from agents first. Built-in skills cannot be deleted.

[Required authorization] Route required privileges: agentBuilder:manageSkills.

Headers

  • kbn-xsrf string Required

    A required header to protect against CSRF attacks

Path parameters

  • skillId string Required

    The unique identifier of the skill.

    Minimum length is 1, maximum length is 512.

Query parameters

  • force boolean

    If true, removes the skill from agents that use it and then deletes it. If false and any agent uses the skill, the request returns 409 Conflict with the list of agents.

    Default value is false.

Responses

  • 200 application/json

    Indicates a successful response

DELETE /api/agent_builder/skills/{skillId}
curl \
  -X DELETE "https://${KIBANA_URL}/api/agent_builder/skills/{skillId}?force=false" \
  -H "Authorization: ApiKey ${API_KEY}" \
  -H "kbn-xsrf: true"
DELETE kbn:/api/agent_builder/skills/{skillId}
Response examples (200)
Example response showing that the deletion operation was successful
{
  "success": true
}